Name:           g15daemon
Version:        1.9.5.3
Release:        1%{?dist}
Summary:        Daemon for exporting special functions on Logitech G15 keyboards
License:        GPLv2+
URL:            https://sourceforge.net/projects/g15daemon/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Misc. small fixes from Debian
Patch0:         g15daemon_1.9.5.3-8.3.diff
BuildRequires:  gcc libg15-devel libg15render-devel

%description
g15daemon allows various apps to access the LCD and gaming keys
on Logitech G15 (and similar) keyboards.


%package        libs
Summary:        G15Daemon client access library

%description    libs
The %{name}-libs package contains a library which clients can use to
connect to G15Daemon.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Nuke docs installed in wrong location
rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%files
%license COPYING
%doc README
%{_sbindir}/%{name}
# g15daemon plugins live here
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%files libs
%license COPYING
%doc AUTHORS
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/%{name}*.3*


%changelog
* Wed May  1 2019 Hans de Goede <hdegoede@redhat.com> - 1.9.5.3-1
- Initial g15daemon Fedora package
